#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        Syndication - an RSS/Atom parser library
Name:           syndication
Epoch:          1
Version: 6.15.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Codecs) >= %{version}

%description
Syndication - an RSS/Atom parser library.

%files
%_kf6_categoriesdir/syndication.*categories

#--------------------------------------------------------------------

%define kf6syndication_major 6
%define libkf6syndication %mklibname kf6syndication %{kf6syndication_major}

%package -n %libkf6syndication
Summary:      Syndication - an RSS/Atom parser library
Group:        System/Libraries
Requires:     %{name} >= %{epoch}:%{version}-%{release}

%description -n %libkf6syndication
Syndication - an RSS/Atom parser library.

%files -n %libkf6syndication
%_kf6_libdir/libKF6Syndication.so.%{kf6syndication_major}{,.*}
%_kf6_libdir/libKF6Syndication.so.%{version}

#--------------------------------------------------------------------

%define kf6syndication_devel %mklibname kf6syndication -d

%package -n %kf6syndication_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf6syndication = %{epoch}:%version-%release
Provides:       %name-devel = %{epoch}:%{version}-%{release}

%description -n %kf6syndication_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6syndication_devel
%_kf6_includedir/Syndication/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KF6Syndication/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Sun Jun 15 2025 daviddavid <daviddavid> 1:6.15.0-1.mga10
+ Revision: 2191470
- New version 6.15.0

* Sun May 11 2025 daviddavid <daviddavid> 1:6.14.0-1.mga10
+ Revision: 2182437
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 1:6.13.0-1.mga10
+ Revision: 2175168
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 1:6.12.0-1.mga10
+ Revision: 2164174
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 1:6.10.0-1.mga10
+ Revision: 2136437
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 1:6.9.0-1.mga10
+ Revision: 2126622
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 1:6.8.0-1.mga10
+ Revision: 2113124
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 1:6.7.0-1.mga10
+ Revision: 2104805
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 1:6.6.0-1.mga10
+ Revision: 2095965
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 1:6.5.0-1.mga10
+ Revision: 2084415
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 1:6.3.0-1.mga10
+ Revision: 2070578
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2063437
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 1:6.1.0-1.mga10
+ Revision: 2056872
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044966
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 1:5.249.0-1.mga10
+ Revision: 2037526
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.248.0-1.mga10
+ Revision: 2029619
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.247.0-1.mga10
+ Revision: 2025653
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 neoclust <neoclust> 1:5.245.0-1.mga10
+ Revision: 2005954
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 1:5.111.0-1.mga10
+ Revision: 1999010
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 1:5.110.0-1.mga10
+ Revision: 1987403
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 1:5.105.0-1.mga9
+ Revision: 1952100
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 1:5.104.0-1.mga9
+ Revision: 1947894
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 1:5.103.0-1.mga9
+ Revision: 1941401
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.102.0-1.mga9
+ Revision: 1935050
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 1:5.101.0-1.mga9
+ Revision: 1922301
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 1:5.100.0-1.mga9
+ Revision: 1911669
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 1:5.99.0-1.mga9
+ Revision: 1900272
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 1:5.98.0-1.mga9
+ Revision: 1887709
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 1:5.97.0-1.mga9
+ Revision: 1880651
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 1:5.96.0-1.mga9
+ Revision: 1871751
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 1:5.93.0-1.mga9
+ Revision: 1853271
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 1:5.92.0-2.mga9
+ Revision: 1848346
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 1:5.88.0-1.mga9
+ Revision: 1754879
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 1:5.87.0-1.mga9
+ Revision: 1749131
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 1:5.84.0-1.mga9
+ Revision: 1735313
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 1:5.82.0-1.mga9
+ Revision: 1723513
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.81.0-1.mga9
+ Revision: 1714901
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 1:5.80.0-1.mga9
+ Revision: 1702077
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 1:5.79.0-1.mga9
+ Revision: 1691171
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 1:5.76.0-1.mga8
+ Revision: 1653386
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 1:5.75.0-1.mga8
+ Revision: 1633236
- New version 5.75.0

* Mon Sep 14 2020 daviddavid <daviddavid> 1:5.74.0-1.mga8
+ Revision: 1626215
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 1:5.73.0-1.mga8
+ Revision: 1612872
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 1:5.72.0-1.mga8
+ Revision: 1603143
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 1:5.71.0-1.mga8
+ Revision: 1592835
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 1:5.70.0-1.mga8
+ Revision: 1582061
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 1:5.69.0-1.mga8
+ Revision: 1566552
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 1:5.68.0-1.mga8
+ Revision: 1556729
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 1:5.67.0-2.mga8
+ Revision: 1546812
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 1:5.67.0-1.mga8
+ Revision: 1486865
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 1:5.65.0-1.mga8
+ Revision: 1466276
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 1:5.64.0-1.mga8
+ Revision: 1457666
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 1:5.63.0-1.mga8
+ Revision: 1451041
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 1:5.62.0-1.mga8
+ Revision: 1444853
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 1:5.60.0-1.mga8
+ Revision: 1420645
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 1:5.57.0-1.mga7
+ Revision: 1386994
- New version 5.57.0

* Tue Apr 02 2019 umeabot <umeabot> 1:5.56.0-2.mga7
+ Revision: 1384930
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.56.0-1.mga7
+ Revision: 1374649
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 1:5.55.0-1.mga7
+ Revision: 1364583
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.54.0-1.mga7
+ Revision: 1356715
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 1:5.53.0-1.mga7
+ Revision: 1339262
- New version 5.53.0

* Fri Oct 19 2018 daviddavid <daviddavid> 1:5.51.0-1.mga7
+ Revision: 1322563
- New version: 5.51.0 (now part of kde frameworks)

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301279
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229164
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201995
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1195017
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186559
- New version 17.12.0

* Thu Aug 24 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1146717
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136957
- New version 17.07.90

* Wed Aug 02 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1134016
- Disable find_lang as there seems to be no translations
- Fix for new find_lang

* Sun Jul 16 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1123849
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090181
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076923
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072113
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067430
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061494
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050757
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047410
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040160
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012650
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004440
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997593
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991273
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987553
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922715
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911983
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905441
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901178
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890671
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880471
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865989
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863930
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861806
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858636
- imported package syndication

